Bug 502643 - Package microcode_ctl needs to be updated to include the latest Intel microcode dated 20090330
Package microcode_ctl needs to be updated to include the latest Intel microco...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 13:22 EDT by g.trentalancia
Modified: 2009-12-18 04:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:29:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed new binary and source packages containing the updated microcode (need to be signed !) (1.22 MB, application/x-gzip-compressed)
2009-05-26 13:22 EDT, g.trentalancia
no flags Details

  None (edit)
Description g.trentalancia 2009-05-26 13:22:16 EDT
Created attachment 345495 [details]
Proposed new binary and source packages containing the updated microcode (need to be signed !)

Description of problem:
Intel has made available a new version of the Intel microcode for all x86/x86-64 Intel processors, therefore the package microcode_ctl needs to be updated with the new microcode.

Version-Release number of selected component (if applicable):
1.17-1.46.fc10

How reproducible:
Microcode is generally updated during system boot-up by the script /etc/init.d/microcode_ctl.

Steps to Reproduce:
1. boot-up the system
2. wait until /etc/init.d/microcode_ctl is started
or:
1. start manually by issuing the command "/etc/init.d/microcode_ctl start" as root.

Actual results:
An old version of the microcode is loaded (dated 20080910).

Expected results:
The updated version has been made available by Intel and therefore such version should be loaded instead of the previous one.

Additional info:
Applies to all Intel hardware platforms supported by Fedora (i386, i686 and x86_64).
Also applies to Fedora 9 (and to any previous Fedora release that supports microcode updating).
Comment 1 Need Real Name 2009-10-04 21:59:31 EDT
New Intel microcode.dat file just out:

microcode-20090330.dat

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&ProductID=2558&DwnldID=14303&strOSs=39&OSFullName=Linux*&lang=eng.

Is it too late for Fedora 12? Any chance of it going in 13?
Comment 2 Need Real Name 2009-10-04 22:01:10 EDT
Oops, sorry new microcode just out is: 

microcode-20090927.dat
Comment 3 Need Real Name 2009-10-04 22:04:20 EDT
New microcode-20090927.dat available here:

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=18148&lang=eng
Comment 4 Bug Zapper 2009-11-18 05:03:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:29:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.